New Search

Mozilla Firefox Thunderbird and SeaMonkey 'nsTreeSelection' Remote Code Execution Vulnerability

oval:org.mitre.oval:def:10958

Integer overflow in Mozilla Firefox 3.5.x before 3.5.11 and 3.6.x before 3.6.7 Thunderbird 3.0.x before 3.0.6 and 3.1.x before 3.1.1 and SeaMonkey before 2.0.6 allows remote attackers to execute arbitrary code via a large selection attribute in a XUL tree element which triggers a use-after-free.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows 7
  • Microsoft Windows XP
  • Microsoft Windows Server 2008
  • Microsoft Windows Server 2003
  • Microsoft Windows 2000
  • Microsoft Windows Vista
Class:
vulnerability
Reference(s):
  • CVE-2010-2753
Product(s):
  • Mozilla SeaMonkey
  • Mozilla Thunderbird
  • Mozilla Firefox